librevenge::RVNGTextTextGeneratorImpl Struct Reference documentation

librevenge::RVNGTextTextGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextTextGeneratorImpl (RVNGString &document, bool isInfo)
| RVNGTextTextGeneratorImpl (const RVNGTextTextGeneratorImpl &)
RVNGTextTextGeneratorImpl & | operator= (const RVNGTextTextGeneratorImpl &)

## Public Attributes
RVNGString & | m_document
std::ostringstream | m_text
std::ostringstream * | m_stream
std::ostringstream | m_footnote
std::ostringstream | m_endnotes
int | m_nextFootnote
int | m_nextEndnote
bool | m_inFootnote
bool | m_isInfo

## Constructor & Destructor Documentation

## ◆ RVNGTextTextGeneratorImpl() [1/2]

librevenge::RVNGTextTextGeneratorImpl::RVNGTextTextGeneratorImpl | ( | RVNGString & | document,
|  | bool | isInfo )
| explicit

Referenced by operator=(), and RVNGTextTextGeneratorImpl().

## ◆ RVNGTextTextGeneratorImpl() [2/2]

librevenge::RVNGTextTextGeneratorImpl::RVNGTextTextGeneratorImpl | ( | const RVNGTextTextGeneratorImpl & |  | ) |

## Member Function Documentation

## ◆ operator=()

RVNGTextTextGeneratorImpl & librevenge::RVNGTextTextGeneratorImpl::operator= | ( | const RVNGTextTextGeneratorImpl & |  | ) |

## Member Data Documentation

## ◆ m_document

RVNGString& librevenge::RVNGTextTextGeneratorImpl::m_document

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_endnotes

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_endnotes

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_footnote

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_footnote

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_inFootnote

bool librevenge::RVNGTextTextGeneratorImpl::m_inFootnote

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_isInfo

bool librevenge::RVNGTextTextGeneratorImpl::m_isInfo

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_nextEndnote

int librevenge::RVNGTextTextGeneratorImpl::m_nextEndnote

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_nextFootnote

int librevenge::RVNGTextTextGeneratorImpl::m_nextFootnote

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_stream

std::ostringstream* librevenge::RVNGTextTextGeneratorImpl::m_stream

Referenced by RVNGTextTextGeneratorImpl().

## ◆ m_text

std::ostringstream librevenge::RVNGTextTextGeneratorImpl::m_text

Referenced by RVNGTextTextGeneratorImpl().

The documentation for this struct was generated from the following file:

- RVNGTextTextGenerator.cpp